package structs

import "time"

type Scanner struct {
	Id           string // this id is used for ui
	Session      string // this session is used for api calls
	Name         string
	UsedByUserId string
	UserAgent    string
	LastUsed     time.Time
	RegisteredAt time.Time
}

type ScannerRequest struct {
	ScannerName string
}

type ScannerResponse struct {
	Id      string
	Session string
}

type ScanResultRequest struct {
	ScanResult string
}
